Bug 799000 (CVE-2011-3045) - CVE-2011-3045 libpng: buffer overflow in png_inflate caused by invalid type conversions
Summary: CVE-2011-3045 libpng: buffer overflow in png_inflate caused by invalid type c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3045
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120308,repor...
Depends On: 801661 801662 801663 801664 801665 801666 801667
Blocks: 799043
TreeView+ depends on / blocked
 
Reported: 2012-03-01 14:16 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-18 09:34:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0407 normal SHIPPED_LIVE Moderate: libpng security update 2012-03-20 21:18:47 UTC

Description Jan Lieskovsky 2012-03-01 14:16:16 UTC
A type conversion flaw leading to an out-of-bounds heap buffer read was found in the way libpng, a library of functions for manipulation PNG image format files, performed expansion of certain iCCP, iTXt, and zTXt PNG image file chunks.

A remote attacker could provide a specially-crafted Portable Network Graphics (PNG) image file, which once opened in an application, linked against libpng, could lead to denial of service or in some cases, execution of arbitrary code with permission of the user running such an application.

Upstream patch:
http://libpng.git.sourceforge.net/git/gitweb.cgi?p=libpng/libpng;a=commitdiff;h=a8c319a2b281af68f7ca0e2f9a28ca57b44ceb2b#patch3

Comment 2 Jan Lieskovsky 2012-03-01 14:20:55 UTC
This issue affects the version of the libpng package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the version of the libpng package, as shipped with Fedora release of 15 and 16.

Comment 7 Tomas Hoger 2012-03-08 12:39:19 UTC
chromium repository commit:
http://src.chromium.org/viewvc/chrome?view=rev&revision=125311

Comment 9 Tom Lane 2012-03-08 14:25:46 UTC
Upstream has released updates with a fix for this.

Comment 11 Huzaifa S. Sidhpurwala 2012-03-09 06:03:12 UTC
Created libpng tracking bugs for this issue

Affects: fedora-all [bug 801667]

Comment 12 Huzaifa S. Sidhpurwala 2012-03-09 06:03:16 UTC
Created libpng10 tracking bugs for this issue

Affects: epel-6 [bug 801665]
Affects: fedora-all [bug 801666]

Comment 13 Fedora Update System 2012-03-13 18:44:01 UTC
libpng10-1.0.58-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-03-16 21:25:47 UTC
libpng-1.5.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-03-19 03:24:28 UTC
libpng10-1.0.58-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-03-19 03:25:35 UTC
libpng10-1.0.58-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 errata-xmlrpc 2012-03-20 17:20:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0407 https://rhn.redhat.com/errata/RHSA-2012-0407.html

Comment 18 Fedora Update System 2012-03-24 00:42:10 UTC
libpng-1.2.48-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-03-25 22:26:49 UTC
libpng10-1.0.58-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-03-31 03:23:58 UTC
libpng-1.2.48-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.